classification
Title: macOS 11.1 + Homebrew 2.6.2 + Python 3.9.1 = "IDLE" crash
Type: crash Stage: resolved
Components: macOS, Tkinter Versions: Python 3.9
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Python Tkinter crashes on macOS 11.1 beta
View: 42480
Assigned To: Nosy List: fxcoudert, ned.deily, p.sirenko.94, ronaldoussoren, terry.reedy
Priority: normal Keywords:

Created on 2020-12-20 18:27 by p.sirenko.94, last changed 2020-12-21 18:44 by ned.deily. This issue is now closed.

Messages (13)
msg383436 - (view) Author: Пётр Сиренко (p.sirenko.94) Date: 2020-12-20 18:27
Process:               Python [3355]
Path:                  /usr/local/Cellar/python@3.9/3.9.1_1/IDLE 3.app/Contents/MacOS/Python
Identifier:            org.python.IDLE
Version:               3.9.1 (3.9.1)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Python [3355]
User ID:               502

Date/Time:             2020-12-20 21:22:43.045 +0300
OS Version:            macOS 11.1 (20C69)
Report Version:        12
Bridge OS Version:     5.1 (18P3030)
Anonymous UUID:        0607359F-0422-4E24-D0EC-3FDFB0D5A17C


Time Awake Since Boot: 940 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Application Specific Information:
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff20307462 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff20335610 pthread_kill + 263
2   libsystem_c.dylib             	0x00007fff20288720 abort + 120
3   Tcl                           	0x00007fff6fe06b55 Tcl_PanicVA + 398
4   Tcl                           	0x00007fff6fe06bd5 Tcl_Panic + 128
5   Tk                            	0x00007fff6ff06ad5 TkpInit + 385
6   Tk                            	0x00007fff6fe86788 0x7fff6fe55000 + 202632
7   _tkinter.cpython-39-darwin.so 	0x0000000101dbe701 Tcl_AppInit + 84
8   _tkinter.cpython-39-darwin.so 	0x0000000101db99fa _tkinter_create + 975
9   org.python.python             	0x00000001018b11bb cfunction_vectorcall_FASTCALL + 203
10  org.python.python             	0x0000000101928ff3 call_function + 403
11  org.python.python             	0x0000000101926184 _PyEval_EvalFrameDefault + 27452
12  org.python.python             	0x0000000101929b3b _PyEval_EvalCode + 1998
13  org.python.python             	0x00000001018815d8 _PyFunction_Vectorcall + 248
14  org.python.python             	0x0000000101880e28 _PyObject_FastCallDictTstate + 149
15  org.python.python             	0x0000000101881891 _PyObject_Call_Prepend + 139
16  org.python.python             	0x00000001018c9e96 slot_tp_init + 87
17  org.python.python             	0x00000001018c36f7 type_call + 150
18  org.python.python             	0x0000000101880fa3 _PyObject_MakeTpCall + 266
19  org.python.python             	0x0000000101929027 call_function + 455
20  org.python.python             	0x00000001019262ee _PyEval_EvalFrameDefault + 27814
21  org.python.python             	0x0000000101929b3b _PyEval_EvalCode + 1998
22  org.python.python             	0x00000001018815d8 _PyFunction_Vectorcall + 248
23  org.python.python             	0x0000000101928ff3 call_function + 403
24  org.python.python             	0x0000000101926230 _PyEval_EvalFrameDefault + 27624
25  org.python.python             	0x0000000101929b3b _PyEval_EvalCode + 1998
26  org.python.python             	0x000000010191f56d PyEval_EvalCode + 79
27  org.python.python             	0x000000010195a5b5 run_eval_code_obj + 110
28  org.python.python             	0x00000001019599ad run_mod + 103
29  org.python.python             	0x0000000101958871 PyRun_FileExFlags + 241
30  org.python.python             	0x0000000101957e61 PyRun_SimpleFileExFlags + 271
31  org.python.python             	0x000000010196fd88 Py_RunMain + 1839
32  org.python.python             	0x00000001019700c1 pymain_main + 306
33  org.python.python             	0x000000010197010f Py_BytesMain + 42
34  libdyld.dylib                 	0x00007fff20350621 start + 1

Thread 1:
0   libsystem_pthread.dylib       	0x00007fff20331458 start_wqthread + 0

Thread 2:
0   libsystem_pthread.dylib       	0x00007fff20331458 start_wqthread + 0

Thread 3:
0   libsystem_pthread.dylib       	0x00007fff20331458 start_wqthread + 0

Thread 4:
0   libsystem_pthread.dylib       	0x00007fff20331458 start_wqthread + 0

Thread 5:
0   libsystem_pthread.dylib       	0x00007fff20331458 start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x000000010a905e00  rcx: 0x00007ffeee3c1068  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: 0x00007ffeee3c1090  rsp: 0x00007ffeee3c1068
   r8: 0x00000000000130a8   r9: 0x00007fff889950e8  r10: 0x000000010a905e00  r11: 0x0000000000000246
  r12: 0x0000000000000307  r13: 0x00007fb37d04b790  r14: 0x0000000000000006  r15: 0x0000000000000016
  rip: 0x00007fff20307462  rfl: 0x0000000000000246  cr2: 0x00007fff8d152f70
  
Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133

Thread 0 instruction stream not available.

Thread 0 last branch register state not available.


Binary Images:
       0x10183d000 -        0x101840fff +Python (0) <4C3C8936-2066-3937-B7A8-51F29B2BA552> /usr/local/Cellar/python@3.9/3.9.1_1/IDLE 3.app/Contents/MacOS/Python
       0x10184c000 -        0x101a4bfff +org.python.python (3.9.1, [c] 2001-2019 Python Software Foundation. - 3.9.1) <0DBC6564-AB58-3938-9A54-89BAC0129512> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/Python
       0x101b1b000 -        0x101b1efff  libCyrillicConverter.dylib (90) <046BCE34-B5CD-363F-AB24-2DFD3B85D593> /System/Library/CoreServices/Encodings/libCyrillicConverter.dylib
       0x101d28000 -        0x101d2bfff +_heapq.cpython-39-darwin.so (0) <08F4CDC9-229B-3576-BE1E-A3E3DB380BB5> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_heapq.cpython-39-darwin.so
       0x101db8000 -        0x101dbffff +_tkinter.cpython-39-darwin.so (0) <EEEFD40E-0472-30C1-AE20-DBAB8144DED2> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_tkinter.cpython-39-darwin.so
       0x101e90000 -        0x101e93fff +grp.cpython-39-darwin.so (0) <FA1C8744-8E24-32FC-BFD4-8E2710C259F3> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/grp.cpython-39-darwin.so
       0x101ea0000 -        0x101ea3fff +_posixsubprocess.cpython-39-darwin.so (0) <72040909-A8B8-31A4-BB34-FCEEBE259B10> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_posixsubprocess.cpython-39-darwin.so
       0x101eb0000 -        0x101eb7fff +select.cpython-39-darwin.so (0) <8E448349-CA8B-33AA-8CA1-0EC7B8263EBD> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/select.cpython-39-darwin.so
       0x101ec4000 -        0x101ecbfff +math.cpython-39-darwin.so (0) <0100A69F-B468-3D6C-B4F9-B2A29E275750> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/math.cpython-39-darwin.so
       0x101f18000 -        0x101f27fff +_socket.cpython-39-darwin.so (0) <65641E29-D67A-34BC-9C5C-5AAF7218FB2D> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_socket.cpython-39-darwin.so
       0x101f34000 -        0x101f3bfff +array.cpython-39-darwin.so (0) <4832969C-4CAD-38DD-BAB8-57B700B67BA8> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/array.cpython-39-darwin.so
       0x101fc8000 -        0x101fcbfff +_opcode.cpython-39-darwin.so (0) <D68FA559-72C5-3925-8FFA-5C967D0D49C8> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_opcode.cpython-39-darwin.so
       0x101fd8000 -        0x101fdffff +binascii.cpython-39-darwin.so (0) <1089A30F-88D2-398C-91DC-481A4FC355E9> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/binascii.cpython-39-darwin.so
       0x101fec000 -        0x101ff3fff +_struct.cpython-39-darwin.so (0) <A13D09EB-5580-30B9-92DB-D9DC8FFAE4A4> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_struct.cpython-39-darwin.so
       0x104100000 -        0x10410ffff +_datetime.cpython-39-darwin.so (0) <9829C364-CE52-31D9-AF5F-A07924B8C04E> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_datetime.cpython-39-darwin.so
       0x104120000 -        0x104143fff +pyexpat.cpython-39-darwin.so (0) <260AD849-DC46-3255-8EEB-FB72BA56A081> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/pyexpat.cpython-39-darwin.so
       0x1041d4000 -        0x1041dbfff +zlib.cpython-39-darwin.so (0) <21AB7C8C-37F8-3307-B9E3-678F62551826> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/zlib.cpython-39-darwin.so
       0x1041e8000 -        0x1041ebfff +_bz2.cpython-39-darwin.so (0) <1B3842B8-378B-3616-A0BA-0BDC38B59005> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_bz2.cpython-39-darwin.so
       0x1041f8000 -        0x1041fffff +_lzma.cpython-39-darwin.so (0) <BDEEAA25-D32B-3D23-A73A-4611DF13E5D3> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_lzma.cpython-39-darwin.so
       0x10420c000 -        0x104227fff +liblzma.5.dylib (0) <BA131191-0687-3D90-B9C4-1CCD399AC11F> /usr/local/opt/xz/lib/liblzma.5.dylib
       0x1043b4000 -        0x1043b7fff +_bisect.cpython-39-darwin.so (0) <4B2DACBB-2688-3B15-964F-199DE11351C0> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_bisect.cpython-39-darwin.so
       0x1043c4000 -        0x1043c7fff +_random.cpython-39-darwin.so (0) <1D4681A8-C095-3EBC-98CE-D95EC276FA83> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_random.cpython-39-darwin.so
       0x1043d4000 -        0x1043dbfff +_sha512.cpython-39-darwin.so (0) <E478A935-9C0B-3F7F-9C9E-32DE3CD9AD58> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_sha512.cpython-39-darwin.so
       0x104428000 -        0x104437fff +_pickle.cpython-39-darwin.so (0) <ACF32FA3-223F-39A8-90CF-DADF38060103> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_pickle.cpython-39-darwin.so
       0x104448000 -        0x10444bfff +_queue.cpython-39-darwin.so (0) <D7CDB18E-1B25-3132-81B2-D62BC08C7D85> /usr/local/Cellar/python@3.9/3.9.1_1/Frameworks/Python.framework/Versions/3.9/lib/python3.9/lib-dynload/_queue.cpython-39-darwin.so
       0x10a82e000 -        0x10a8c9fff  dyld (832.7.1) <DEA51514-B4E8-3368-979B-89D0F8397ABC> /usr/lib/dyld
    0x7fff2006b000 -     0x7fff2006cfff  libsystem_blocks.dylib (78) <9CF131C6-16FB-3DD0-B046-9E0B6AB99935> /usr/lib/system/libsystem_blocks.dylib
    0x7fff2006d000 -     0x7fff200a2fff  libxpc.dylib (2038.40.38) <003A027D-9CE3-3794-A319-88495844662D> /usr/lib/system/libxpc.dylib
    0x7fff200a3000 -     0x7fff200bafff  libsystem_trace.dylib (1277.50.1) <48C14376-626E-3C81-B0F5-7416E64580C7> /usr/lib/system/libsystem_trace.dylib
    0x7fff200bb000 -     0x7fff20159fff  libcorecrypto.dylib (1000.60.19) <92F0211E-506E-3760-A3C2-808BF3905C07> /usr/lib/system/libcorecrypto.dylib
    0x7fff2015a000 -     0x7fff20186fff  libsystem_malloc.dylib (317.40.8) <2EF43B96-90FB-3C50-B73E-035238504E33> /usr/lib/system/libsystem_malloc.dylib
    0x7fff20187000 -     0x7fff201cbfff  libdispatch.dylib (1271.40.12) <CEF1460B-1362-381A-AE69-6BCE2D8C215B> /usr/lib/system/libdispatch.dylib
    0x7fff201cc000 -     0x7fff20204fff  libobjc.A.dylib (818.2) <45EA2DE2-B612-3486-B156-2359CE279159> /usr/lib/libobjc.A.dylib
    0x7fff20205000 -     0x7fff20207fff  libsystem_featureflags.dylib (28.60.1) <7B4EBDDB-244E-3F78-8895-566FE22288F3> /usr/lib/system/libsystem_featureflags.dylib
    0x7fff20208000 -     0x7fff20290fff  libsystem_c.dylib (1439.40.11) <06D9F593-C815-385D-957F-2B5BCC223A8A> /usr/lib/system/libsystem_c.dylib
    0x7fff20291000 -     0x7fff202e6fff  libc++.1.dylib (904.4) <AE3A940A-7A9C-3F99-B175-3511528D8DFE> /usr/lib/libc++.1.dylib
    0x7fff202e7000 -     0x7fff202fffff  libc++abi.dylib (904.4) <DDFCBF9C-432D-3B8A-8641-578D2EDDCAD8> /usr/lib/libc++abi.dylib
    0x7fff20300000 -     0x7fff2032efff  libsystem_kernel.dylib (7195.60.75) <4BD61365-29AF-3234-8002-D989D295FDBB> /usr/lib/system/libsystem_kernel.dylib
    0x7fff2032f000 -     0x7fff2033afff  libsystem_pthread.dylib (454.60.1) <8DD3A0BC-2C92-31E3-BBAB-CE923A4342E4> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2033b000 -     0x7fff20375fff  libdyld.dylib (832.7.1) <2F8A14F5-7CB8-3EDD-85EA-7FA960BBC04E> /usr/lib/system/libdyld.dylib
    0x7fff20376000 -     0x7fff2037ffff  libsystem_platform.dylib (254.60.1) <3F7F6461-7B5C-3197-ACD7-C8A0CFCC6F55> /usr/lib/system/libsystem_platform.dylib
    0x7fff20380000 -     0x7fff203abfff  libsystem_info.dylib (542.40.3) <0979757C-5F0D-3F5A-9E0E-EBF234B310AF> /usr/lib/system/libsystem_info.dylib
    0x7fff203ac000 -     0x7fff20847fff  com.apple.CoreFoundation (6.9 - 1770.300) <EAC298C4-CE3E-3551-A832-42ED9A13EF74> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff20848000 -     0x7fff20a77fff  com.apple.LaunchServices (1122.11 - 1122.11) <CAEEC254-68AE-39B5-8452-EC3E1EE8577B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff20a78000 -     0x7fff20b4bfff  com.apple.gpusw.MetalTools (1.0 - 1) <C235D5FA-0B9D-3E72-A8CE-67174E1B9E7C> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff20b4c000 -     0x7fff20daffff  libBLAS.dylib (1336.40.1) <AD2D155C-1294-3D10-817A-F6A581E6ACF1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff20db0000 -     0x7fff20dfdfff  com.apple.Lexicon-framework (1.0 - 86.1) <D54364A6-1C4C-33D7-8B24-C753777B3654> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff20dfe000 -     0x7fff20e6cfff  libSparse.dylib (106) <60559226-6E4B-3601-B6CA-E3B85B5EB27B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff20e6d000 -     0x7fff20eeafff  com.apple.SystemConfiguration (1.20 - 1.20) <8524EE4C-628F-315A-9531-44DD83CE275E> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff20eeb000 -     0x7fff20f20fff  libCRFSuite.dylib (50) <6CA29EAA-0585-3682-9AD2-DFD3D87A74D4> /usr/lib/libCRFSuite.dylib
    0x7fff20f21000 -     0x7fff21158fff  libmecabra.dylib (929.1.1) <39F5AD50-3AF2-3CFB-BD21-2DC45AA92A91> /usr/lib/libmecabra.dylib
    0x7fff21159000 -     0x7fff214bcfff  com.apple.Foundation (6.9 - 1770.300) <44A7115B-7FF0-3300-B61B-0FA71B63C715> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff214bd000 -     0x7fff215a9fff  com.apple.LanguageModeling (1.0 - 247.1) <BCB1F8A7-54B9-36D1-B742-70DF7657BF0B> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff215aa000 -     0x7fff216e0fff  com.apple.CoreDisplay (231.3 - 231.3) <229BF97A-1D56-3CB4-8338-E0D464F73A33> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff216e1000 -     0x7fff21956fff  com.apple.audio.AudioToolboxCore (1.0 - 1180.23) <56821802-07B9-3FA9-AF73-D943BAE0DE57> /System/Library/PrivateFrameworks/AudioToolboxCore.framework/Versions/A/AudioToolboxCore
    0x7fff21957000 -     0x7fff21b3ffff  com.apple.CoreText (677.2.0.5 - 677.2.0.5) <B0B2A8DD-A6F1-3EF7-9351-1BA604353A11> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff21b40000 -     0x7fff221e3fff  com.apple.audio.CoreAudio (5.0 - 5.0) <DF623EC9-FC55-3B3C-94FF-6A5C50A981B3> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff221e4000 -     0x7fff22535fff  com.apple.security (7.0 - 59754.60.13) <A20AB68D-51DA-340B-B813-F2AFC81F7143> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff22536000 -     0x7fff22797fff  libicucore.A.dylib (66109) <6C0A0196-2778-3035-81CE-7CA48D6C0628> /usr/lib/libicucore.A.dylib
    0x7fff22798000 -     0x7fff227a1fff  libsystem_darwin.dylib (1439.40.11) <BD269412-C9D0-32EE-B42B-B09A187A9B95> /usr/lib/system/libsystem_darwin.dylib
    0x7fff227a2000 -     0x7fff22a89fff  com.apple.CoreServices.CarbonCore (1307 - 1307) <9C615967-6D8E-307F-B028-6278A4FA7C8C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff22a8a000 -     0x7fff22ac8fff  com.apple.CoreServicesInternal (476 - 476) <FD1692F7-A4B4-3FE5-B9C8-E0840D53C7D0> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff22ac9000 -     0x7fff22b03fff  com.apple.CSStore (1122.11 - 1122.11) <088D0108-AA14-3610-86A0-89D0C605384F> /System/Library/PrivateFrameworks/CoreServicesStore.framework/Versions/A/CoreServicesStore
    0x7fff22b04000 -     0x7fff22bb1fff  com.apple.framework.IOKit (2.0.2 - 1845.60.2) <F2299682-5884-363F-9069-AA804E712C74> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff22bb2000 -     0x7fff22bbdfff  libsystem_notify.dylib (279.40.4) <98D74EEF-60D9-3665-B877-7BE1558BA83E> /usr/lib/system/libsystem_notify.dylib
    0x7fff22c0a000 -     0x7fff2396cfff  com.apple.AppKit (6.9 - 2022.20.119) <4CB42914-672D-3AF0-A0A5-2209088A3DA0> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff2396d000 -     0x7fff23bc0fff  com.apple.UIFoundation (1.0 - 726.11) <71C63CE5-094D-34AF-B538-8DCAB3B66DE9> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff23bc1000 -     0x7fff23bd3fff  com.apple.UniformTypeIdentifiers (633.0.2 - 633.0.2) <7BEC7DDC-2B7A-3B5D-B994-5FA352FC485A> /System/Library/Frameworks/UniformTypeIdentifiers.framework/Versions/A/UniformTypeIdentifiers
    0x7fff2402b000 -     0x7fff2466efff  libnetwork.dylib (2288.60.5) <180FE916-8DD6-3385-B231-0C423B7D2BD3> /usr/lib/libnetwork.dylib
    0x7fff2466f000 -     0x7fff24b0cfff  com.apple.CFNetwork (1209.1 - 1209.1) <60DE4CD6-B5AF-3E0E-8AF1-39ECFC1B8C98> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff24b0d000 -     0x7fff24b1bfff  libsystem_networkextension.dylib (1295.60.5) <F476B1CB-3561-30C5-A78E-44E99B1720A3> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff24b1c000 -     0x7fff24b1cfff  libenergytrace.dylib (22) <9BE5E51A-F531-3D59-BBBC-486FFF97BD30> /usr/lib/libenergytrace.dylib
    0x7fff24b1d000 -     0x7fff24b78fff  libMobileGestalt.dylib (978.60.2) <F721B185-0E6A-396B-A50F-0F55810D9A67> /usr/lib/libMobileGestalt.dylib
    0x7fff24b79000 -     0x7fff24b8ffff  libsystem_asl.dylib (385) <940C5BB9-4928-3A63-97F2-132797C8B7E5> /usr/lib/system/libsystem_asl.dylib
    0x7fff24b90000 -     0x7fff24ba7fff  com.apple.TCC (1.0 - 1) <457D5F24-A346-38FC-8FA1-43B0C835E035> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff24ba8000 -     0x7fff24f0dfff  com.apple.SkyLight (1.600.0 - 569.6) <35876384-45F9-3C62-995B-38EC31BE75D7> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff24f0e000 -     0x7fff255a1fff  com.apple.CoreGraphics (2.0 - 1463.2.2) <323F725F-CB03-3AAD-AFBC-37B430B3FD4E> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff255a2000 -     0x7fff25698fff  com.apple.ColorSync (4.13.0 - 3472) <7387EBC7-CBD9-34FE-B4A3-345E4750FD81> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff25699000 -     0x7fff256f4fff  com.apple.HIServices (1.22 - 713) <9AF2CDD9-8B68-3606-8C9E-1842420ACDA7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff25aa0000 -     0x7fff25ebefff  com.apple.CoreData (120 - 1044.3) <76179A55-CA89-3967-A0A7-C419DB735983> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff25ebf000 -     0x7fff25ed5fff  com.apple.ProtocolBuffer (1 - 285.20.8.8.1) <8EE538E7-2BB1-3E29-8FC3-938335998B22> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff25ed6000 -     0x7fff26095fff  libsqlite3.dylib (321.1) <D7017429-8D46-3ECB-8B70-4625C74918F3> /usr/lib/libsqlite3.dylib
    0x7fff26113000 -     0x7fff2612bfff  com.apple.commonutilities (8.0 - 900) <76711775-FF46-38CA-88F3-B4201C285C7F> /System/Library/PrivateFrameworks/CommonUtilities.framework/Versions/A/CommonUtilities
    0x7fff2612c000 -     0x7fff261adfff  com.apple.BaseBoard (526 - 526) <38C24B3A-8226-3FD5-8C28-B11D02747B56> /System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard
    0x7fff261ae000 -     0x7fff261f9fff  com.apple.RunningBoardServices (1.0 - 505.60.2) <F99A0D0C-D063-3E3F-8D1F-0E0B35E7CE2C> /System/Library/PrivateFrameworks/RunningBoardServices.framework/Versions/A/RunningBoardServices
    0x7fff261fa000 -     0x7fff2626ffff  com.apple.AE (918.0.1 - 918.0.1) <3A298716-A130-345E-B8FF-74194849015E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff26270000 -     0x7fff26276fff  libdns_services.dylib (1310.60.4) <61EB26AD-C09E-3140-955E-16BF7DD2D6E3> /usr/lib/libdns_services.dylib
    0x7fff26277000 -     0x7fff2627efff  libsystem_symptoms.dylib (1431.60.1) <88F35AAC-746F-3176-81DF-49CE3D285636> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff2627f000 -     0x7fff26403fff  com.apple.Network (1.0 - 1) <EED4099E-B17C-3E0B-AA8F-78A2D4F26CBF> /System/Library/Frameworks/Network.framework/Versions/A/Network
    0x7fff26404000 -     0x7fff26428fff  com.apple.analyticsd (1.0 - 1) <99FE0234-454F-36FF-9DE9-36B94D8753F9> /System/Library/PrivateFrameworks/CoreAnalytics.framework/Versions/A/CoreAnalytics
    0x7fff26429000 -     0x7fff2642bfff  libDiagnosticMessagesClient.dylib (112) <1014A32B-89EE-3ADD-971F-9CB973172F69> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff2642c000 -     0x7fff26478fff  com.apple.spotlight.metadata.utilities (1.0 - 2150.7.2) <37A1E760-2006-366C-9FAC-FB70227393FB> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
    0x7fff26479000 -     0x7fff26513fff  com.apple.Metadata (10.7.0 - 2150.7.2) <509C6597-ABB2-3B81-8E09-C51A755CCDA2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff26514000 -     0x7fff2651afff  com.apple.DiskArbitration (2.7 - 2.7) <83DED679-BE65-3475-8AFF-D664BBAFA60A> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff2651b000 -     0x7fff26bc1fff  com.apple.vImage (8.1 - 544) <305D97CC-B47C-32FD-9EC5-43259A469A14> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff26bc2000 -     0x7fff26e8ffff  com.apple.QuartzCore (1.11 - 925.5) <D59138DC-10CD-3DF8-9F04-CCDB6102C370> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff26e90000 -     0x7fff26ed1fff  libFontRegistry.dylib (309) <790676A3-2B74-3239-A60D-429069933542> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff26ed2000 -     0x7fff27013fff  com.apple.coreui (2.1 - 689.4) <0DA8F4E0-9473-374E-8B48-F0A40AEC63CE> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff27100000 -     0x7fff2710bfff  com.apple.PerformanceAnalysis (1.275 - 275) <2F811EE6-D4D4-347E-B4A0-961F0DF050E5> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff2710c000 -     0x7fff2711bfff  com.apple.OpenDirectory (11.1 - 230.40.1) <7710743E-6F55-342E-88FA-18796CF83700> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff2711c000 -     0x7fff2713bfff  com.apple.CFOpenDirectory (11.1 - 230.40.1) <32ECCB06-56D8-3704-935B-7D5363B2988E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff2713c000 -     0x7fff27144fff  com.apple.CoreServices.FSEvents (1290.40.2 - 1290.40.2) <FB18B8D7-C7F5-3CAB-B538-3F4B4E85D1F1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff27145000 -     0x7fff27169fff  com.apple.coreservices.SharedFileList (144 - 144) <93D2192D-7A27-3FD4-B3AB-A4DCBF8419B7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff2716a000 -     0x7fff2716cfff  libapp_launch_measurement.dylib (14.1) <9E2700C3-E993-3695-988E-FEF798B75E34> /usr/lib/libapp_launch_measurement.dylib
    0x7fff2716d000 -     0x7fff271b5fff  com.apple.CoreAutoLayout (1.0 - 21.10.1) <998BC461-F4F5-396E-9798-1C8126AD61DA> /System/Library/PrivateFrameworks/CoreAutoLayout.framework/Versions/A/CoreAutoLayout
    0x7fff271b6000 -     0x7fff27298fff  libxml2.2.dylib (34.8) <68396181-8100-390C-8886-EFB79F5B484C> /usr/lib/libxml2.2.dylib
    0x7fff27299000 -     0x7fff272e5fff  com.apple.CoreVideo (1.8 - 408.4) <0D5AD16E-A871-3ACB-B910-39B87928E937> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff272e6000 -     0x7fff272e8fff  com.apple.loginsupport (1.0 - 1) <4F860927-F6F5-3A99-A103-744CF365634F> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff282c9000 -     0x7fff282d9fff  libsystem_containermanager.dylib (318.60.1) <4ED09A19-04CC-3464-9EFB-F674932020B5> /usr/lib/system/libsystem_containermanager.dylib
    0x7fff282da000 -     0x7fff282ebfff  com.apple.IOSurface (289.3 - 289.3) <A3B10665-5909-30EE-BE34-F3284D6D5975> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff282ec000 -     0x7fff282f4fff  com.apple.IOAccelerator (439.52 - 439.52) <3944C92D-7838-3D2F-A453-9DB15C815D7B> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff282f5000 -     0x7fff2841afff  com.apple.Metal (244.32.7 - 244.32.7) <413B81AE-653F-3CF7-B5A4-A4391436E6D1> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff2841b000 -     0x7fff28437fff  com.apple.audio.caulk (1.0 - 70) <952BA9D4-BAD3-3319-8C17-F7BB2655F80C> /System/Library/PrivateFrameworks/caulk.framework/Versions/A/caulk
    0x7fff28438000 -     0x7fff28521fff  com.apple.CoreMedia (1.0 - 2760.6.4.6) <CBCD783B-B3C9-37B8-835C-A3BACEC35BB5> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff28522000 -     0x7fff2867efff  libFontParser.dylib (305.2.0.6) <76C6C92A-1B16-3FB7-9EA2-7227D379C20F> /System/Library/PrivateFrameworks/FontServices.framework/libFontParser.dylib
    0x7fff2867f000 -     0x7fff2897efff  com.apple.HIToolbox (2.1.1 - 1060.4) <93518490-429F-3E31-8344-15D479C2F4CE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff2897f000 -     0x7fff28992fff  com.apple.framework.DFRFoundation (1.0 - 265) <FB85651D-6221-38AF-BD6D-29BFF5830D36> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff28993000 -     0x7fff28996fff  com.apple.dt.XCTTargetBootstrap (1.0 - 17500) <13ADD312-F6F5-3C03-BD3B-9331B3851285> /System/Library/PrivateFrameworks/XCTTargetBootstrap.framework/Versions/A/XCTTargetBootstrap
    0x7fff28997000 -     0x7fff289c0fff  com.apple.CoreSVG (1.0 - 149) <A0DAE6AE-9DDA-37B4-A087-545A242CF982> /System/Library/PrivateFrameworks/CoreSVG.framework/Versions/A/CoreSVG
    0x7fff289c1000 -     0x7fff28bfafff  com.apple.ImageIO (3.3.0 - 2130.2.7) <0FE3D51B-EC76-3558-BD56-7BFF61A6793D> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff28bfb000 -     0x7fff28f78fff  com.apple.CoreImage (16.1.0 - 1120.10) <46F1E4F5-DF8F-32D4-8D0C-6FCF2C27A5CD> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff28f79000 -     0x7fff28fd4fff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <E2377275-53D7-31A0-AEAF-0A0273B99B92> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff28fd5000 -     0x7fff28fd8fff  libsystem_configuration.dylib (1109.60.2) <C57B346B-0A03-3F87-BCAC-87B702FA0719> /usr/lib/system/libsystem_configuration.dylib
    0x7fff28fd9000 -     0x7fff28fddfff  libsystem_sandbox.dylib (1441.60.4) <8CE27199-D633-31D2-AB08-56380A1DA9FB> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff28fde000 -     0x7fff28fdffff  com.apple.AggregateDictionary (1.0 - 1) <7F2AFEBB-FF06-3194-B691-B411F3456962> /System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary
    0x7fff28fe0000 -     0x7fff28fe3fff  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <250CD2CA-E796-3CB0-9ADD-054998903B1D> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff28fe4000 -     0x7fff28fe5fff  liblangid.dylib (136) <224DC045-2B60-39AF-B89E-E524175667F5> /usr/lib/liblangid.dylib
    0x7fff28fe6000 -     0x7fff29086fff  com.apple.CoreNLP (1.0 - 245) <F876FD71-F077-3CF7-B94D-9E05A17E03D7> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff29087000 -     0x7fff2908dfff  com.apple.LinguisticData (1.0 - 399) <D1B7F1D5-EB9E-3555-BA57-3611FA153C44> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff2908e000 -     0x7fff2974afff  libBNNS.dylib (288.60.2) <E3FF47D5-7DD9-3A9E-A819-C79B0CC17C03> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff2974b000 -     0x7fff2991efff  libvDSP.dylib (760.40.6) <9434101D-E001-357F-9503-9896C6011F52> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff2991f000 -     0x7fff29931fff  com.apple.CoreEmoji (1.0 - 128) <7CCFC59A-8746-3E52-AF1D-1B67798E940C> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff29932000 -     0x7fff2993cfff  com.apple.IOMobileFramebuffer (343.0.0 - 343.0.0) <9A6F913C-EC79-3FC1-A92C-3A1BA96D8DFB> /System/Library/PrivateFrameworks/IOMobileFramebuffer.framework/Versions/A/IOMobileFramebuffer
    0x7fff29c33000 -     0x7fff29c43fff  com.apple.AssertionServices (1.0 - 505.60.2) <9F8620BD-A58D-3A42-9B9E-DEC21517EF1A> /System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices
    0x7fff29c44000 -     0x7fff29cd0fff  com.apple.securityfoundation (6.0 - 55240.40.4) <5F06D141-62F4-3405-BA72-24673B170A16> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff29cd1000 -     0x7fff29cdafff  com.apple.coreservices.BackgroundTaskManagement (1.0 - 104) <C5E4B35C-FFDA-3423-890F-06DAD1F684F5> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff29cdb000 -     0x7fff29cdffff  com.apple.xpc.ServiceManagement (1.0 - 1) <2C03BEB7-915C-3A3A-A44F-A77775E1BFD5> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff29ce0000 -     0x7fff29ce2fff  libquarantine.dylib (119.40.2) <19D42B9D-3336-3543-AF75-6E605EA31599> /usr/lib/system/libquarantine.dylib
    0x7fff29ce3000 -     0x7fff29ceefff  libCheckFix.dylib (31) <3381FC93-F188-348C-9345-5567A7116CEF> /usr/lib/libCheckFix.dylib
    0x7fff29cef000 -     0x7fff29d06fff  libcoretls.dylib (169) <9C244029-6B45-3583-B27F-BB7BBF84D814> /usr/lib/libcoretls.dylib
    0x7fff29d07000 -     0x7fff29d17fff  libbsm.0.dylib (68.40.1) <DC652D50-FA69-3801-9361-004D4D6832D0> /usr/lib/libbsm.0.dylib
    0x7fff29d18000 -     0x7fff29d61fff  libmecab.dylib (929.1.1) <B5D8C96C-D3B8-32F8-84F9-A432CEAD4E5C> /usr/lib/libmecab.dylib
    0x7fff29d62000 -     0x7fff29d67fff  libgermantok.dylib (24) <F9772A76-7AFA-3E0B-A02C-A61FC6CA8D8B> /usr/lib/libgermantok.dylib
    0x7fff29d68000 -     0x7fff29d7dfff  libLinearAlgebra.dylib (1336.40.1) <D2826FAB-174C-3CD6-A765-06D83A9A0EDB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff29d7e000 -     0x7fff29fa5fff  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <231CF580-952A-32BC-A423-9B9756AC9744> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff29fa6000 -     0x7fff29ff5fff  com.apple.MetalPerformanceShaders.MPSRayIntersector (1.0 - 1) <65A993E4-3DC2-3152-98D5-A1DF3DB4573F> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector
    0x7fff29ff6000 -     0x7fff2a13cfff  com.apple.MLCompute (1.0 - 1) <BCEA1149-197E-398F-9424-E29B0AD0829F> /System/Library/Frameworks/MLCompute.framework/Versions/A/MLCompute
    0x7fff2a13d000 -     0x7fff2a173fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <F719DA57-EAAA-3527-B859-21025722932F> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff2a174000 -     0x7fff2a1b1fff  com.apple.MetalPerformanceShaders.MPSNDArray (1.0 - 1) <FCCC0D3F-74D2-3107-82B3-E2B500E36AAE> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSNDArray.framework/Versions/A/MPSNDArray
    0x7fff2a1b2000 -     0x7fff2a242fff  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <21527A17-2D6F-3BDF-9A74-F90FA6E26BB3> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff2a243000 -     0x7fff2a252fff  com.apple.AppleFSCompression (125 - 1.0) <D1E7DC71-1929-30A8-B73E-268387110608> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff2a253000 -     0x7fff2a260fff  libbz2.1.0.dylib (44) <0575C0D0-B107-3E53-857F-DEC55998197B> /usr/lib/libbz2.1.0.dylib
    0x7fff2a261000 -     0x7fff2a265fff  libsystem_coreservices.dylib (127) <A2D875B9-8BA8-33AD-BE92-ADAB915A8D5B> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff2a266000 -     0x7fff2a293fff  com.apple.CoreServices.OSServices (1122.11 - 1122.11) <870F34BE-C0ED-318B-858D-5F1E4757D552> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff2a469000 -     0x7fff2a47bfff  libz.1.dylib (76) <9F89FD60-03F7-3175-AB34-5112B99E2B8A> /usr/lib/libz.1.dylib
    0x7fff2a47c000 -     0x7fff2a4c3fff  libsystem_m.dylib (3186.40.2) <79820D9E-0FF1-3F20-AF4F-F87EE20CE8C9> /usr/lib/system/libsystem_m.dylib
    0x7fff2a4c4000 -     0x7fff2a4c4fff  libcharset.1.dylib (59) <414F6A1C-1EBC-3956-AC2D-CCB0458F31AF> /usr/lib/libcharset.1.dylib
    0x7fff2a4c5000 -     0x7fff2a4cafff  libmacho.dylib (973.4) <28AE1649-22ED-3C4D-A232-29D37F821C39> /usr/lib/system/libmacho.dylib
    0x7fff2a4cb000 -     0x7fff2a4e6fff  libkxld.dylib (7195.60.75) <3600A314-332A-343D-B45D-D9D8B302545D> /usr/lib/system/libkxld.dylib
    0x7fff2a4e7000 -     0x7fff2a4f2fff  libcommonCrypto.dylib (60178.40.2) <1D0A75A5-DEC5-39C6-AB3D-E789B8866712> /usr/lib/system/libcommonCrypto.dylib
    0x7fff2a4f3000 -     0x7fff2a4fdfff  libunwind.dylib (200.10) <C5792A9C-DF0F-3821-BC14-238A78462E8A> /usr/lib/system/libunwind.dylib
    0x7fff2a4fe000 -     0x7fff2a505fff  liboah.dylib (203.13.2) <FF72E19B-3B02-34D4-A821-3397BB28AC02> /usr/lib/liboah.dylib
    0x7fff2a506000 -     0x7fff2a510fff  libcopyfile.dylib (173.40.2) <89483CD4-DA46-3AF2-AE78-FC37CED05ACC> /usr/lib/system/libcopyfile.dylib
    0x7fff2a511000 -     0x7fff2a518fff  libcompiler_rt.dylib (102.2) <0DB26EC8-B4CD-3268-B865-C2FC07E4D2AA> /usr/lib/system/libcompiler_rt.dylib
    0x7fff2a519000 -     0x7fff2a51bfff  libsystem_collections.dylib (1439.40.11) <D40D8097-0ABF-3645-B065-168F43ACFF4C> /usr/lib/system/libsystem_collections.dylib
    0x7fff2a51c000 -     0x7fff2a51efff  libsystem_secinit.dylib (87.60.1) <99B5FD99-1A8B-37C1-BD70-04990FA33B1C> /usr/lib/system/libsystem_secinit.dylib
    0x7fff2a51f000 -     0x7fff2a521fff  libremovefile.dylib (49.40.3) <750012C2-7097-33C3-B796-2766E6CDE8C1> /usr/lib/system/libremovefile.dylib
    0x7fff2a522000 -     0x7fff2a522fff  libkeymgr.dylib (31) <2C7B58B0-BE54-3A50-B399-AA49C19083A9> /usr/lib/system/libkeymgr.dylib
    0x7fff2a523000 -     0x7fff2a52afff  libsystem_dnssd.dylib (1310.60.4) <81EFC44D-450E-3AA3-AC8F-D7EF68F464B4> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff2a52b000 -     0x7fff2a530fff  libcache.dylib (83) <2F7F7303-DB23-359E-85CD-8B2F93223E2A> /usr/lib/system/libcache.dylib
    0x7fff2a531000 -     0x7fff2a532fff  libSystem.B.dylib (1292.60.1) <A7FB4899-9E04-37ED-9DD8-8FFF0400879C> /usr/lib/libSystem.B.dylib
    0x7fff2a533000 -     0x7fff2a536fff  libfakelink.dylib (3) <34B6DC95-E19A-37C0-B9D0-558F692D85F5> /usr/lib/libfakelink.dylib
    0x7fff2a537000 -     0x7fff2a537fff  com.apple.SoftLinking (1.0 - 1) <90D679B3-DFFD-3604-B89F-1BCF70B3EBA4> /System/Library/PrivateFrameworks/SoftLinking.framework/Versions/A/SoftLinking
    0x7fff2a538000 -     0x7fff2a56ffff  libpcap.A.dylib (98.40.1) <E1995A1C-7EEB-3340-B1E1-DD45FA625C12> /usr/lib/libpcap.A.dylib
    0x7fff2a570000 -     0x7fff2a660fff  libiconv.2.dylib (59) <3E53F735-1D7E-3ABB-BC45-AAA37F535830> /usr/lib/libiconv.2.dylib
    0x7fff2a661000 -     0x7fff2a672fff  libcmph.dylib (8) <865FA425-831D-3E49-BD1B-14188D2A98AA> /usr/lib/libcmph.dylib
    0x7fff2a673000 -     0x7fff2a6e4fff  libarchive.2.dylib (83.40.4) <76B2F421-5335-37FB-9CD5-1018878B9E74> /usr/lib/libarchive.2.dylib
    0x7fff2a6e5000 -     0x7fff2a74cfff  com.apple.SearchKit (1.4.1 - 1.4.1) <7BDD2800-BDDC-3DE0-A4A8-B1E855130E3B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff2a74d000 -     0x7fff2a74efff  libThaiTokenizer.dylib (3) <513547CD-5C7F-37BE-A2AD-55A22F279588> /usr/lib/libThaiTokenizer.dylib
    0x7fff2a74f000 -     0x7fff2a776fff  com.apple.applesauce (1.0 - 16.26) <AE525243-2CE7-373E-994E-C2457611EB3C> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff2a777000 -     0x7fff2a78efff  libapple_nghttp2.dylib (1.41) <CC004768-6E3B-3D80-9431-61149EBE2E10> /usr/lib/libapple_nghttp2.dylib
    0x7fff2a78f000 -     0x7fff2a7a1fff  libSparseBLAS.dylib (1336.40.1) <CEBD7B0F-A54D-3A43-BD7E-E8BC2C7B7F0C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff2a7a2000 -     0x7fff2a7a3fff  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <1BFEB124-CF05-342F-BC65-B233EAB661D9> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff2a7a4000 -     0x7fff2a7a8fff  libpam.2.dylib (28.40.1) <AE84F5FA-DDB0-3028-AF25-D6B6A12DBA6A> /usr/lib/libpam.2.dylib
    0x7fff2a7a9000 -     0x7fff2a7c1fff  libcompression.dylib (96.40.6) <45B8B821-8EB6-34FE-92E9-5CBA474499E2> /usr/lib/libcompression.dylib
    0x7fff2a7c2000 -     0x7fff2a7c7fff  libQuadrature.dylib (7) <FB21F53D-4A40-327F-BD3B-C7C8D08C6A86> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff2a7c8000 -     0x7fff2ab64fff  libLAPACK.dylib (1336.40.1) <509FBCC6-4ECB-3192-98A6-D0C030E4E9D8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff2ab65000 -     0x7fff2abb3fff  com.apple.DictionaryServices (1.2 - 341) <83CDCE83-6B48-35F1-BACF-83240D940777> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff2abb4000 -     0x7fff2abccfff  liblzma.5.dylib (16) <A45348BC-AA9C-39D6-A7C3-2246A3EFA34C> /usr/lib/liblzma.5.dylib
    0x7fff2abcd000 -     0x7fff2abcefff  libcoretls_cfhelpers.dylib (169) <C0F19E92-DACB-3100-8610-62DEC5E5FB81> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff2abcf000 -     0x7fff2acc8fff  com.apple.APFS (1677.60.23 - 1677.60.23) <8271EE40-CDF5-3E0B-9F42-B49DC7C46C98> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff2acc9000 -     0x7fff2acd6fff  libxar.1.dylib (452) <3F3DA942-DC7B-31EF-BCF1-38F99F59A660> /usr/lib/libxar.1.dylib
    0x7fff2acd7000 -     0x7fff2acdafff  libutil.dylib (58.40.2) <85CF2B3B-6BEB-381D-8683-1DE2B0167ECC> /usr/lib/libutil.dylib
    0x7fff2acdb000 -     0x7fff2ad03fff  libxslt.1.dylib (17.2) <2C881E82-6E2C-3E92-8DC5-3C2D05FE7C95> /usr/lib/libxslt.1.dylib
    0x7fff2ad04000 -     0x7fff2ad0efff  libChineseTokenizer.dylib (37) <36891BB5-4A83-33A3-9995-CC5DB2AB53CE> /usr/lib/libChineseTokenizer.dylib
    0x7fff2ad0f000 -     0x7fff2adcdfff  libvMisc.dylib (760.40.6) <219319E1-BDBD-34D1-97B7-E46256785D3C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff2adce000 -     0x7fff2ae66fff  libate.dylib (3.0.4) <51D50D08-F614-3929-AFB1-BF4ED9BE4751> /usr/lib/libate.dylib
    0x7fff2ae67000 -     0x7fff2ae6efff  libIOReport.dylib (64) <3C26FBDC-931E-3318-8225-C10849CF1D60> /usr/lib/libIOReport.dylib
    0x7fff2b01e000 -     0x7fff2b071fff  com.apple.AppleVAFramework (6.1.3 - 6.1.3) <8A5B1C42-DD83-303B-85DE-754FB6C10E1A> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff2b072000 -     0x7fff2b08bfff  libexpat.1.dylib (26) <4408FC72-BDAA-33AE-BE14-4008642794ED> /usr/lib/libexpat.1.dylib
    0x7fff2b08c000 -     0x7fff2b095fff  libheimdal-asn1.dylib (597.40.10) <032931C8-B042-3B3D-93D3-5B3E27431FEA> /usr/lib/libheimdal-asn1.dylib
    0x7fff2b096000 -     0x7fff2b0aafff  com.apple.IconFoundation (479.3 - 479.3) <650C91C9-D6A1-3FF7-964B-DE1065F2243C> /System/Library/PrivateFrameworks/IconFoundation.framework/Versions/A/IconFoundation
    0x7fff2b0ab000 -     0x7fff2b118fff  com.apple.IconServices (479.3 - 479.3) <63CAB1AB-C485-382A-9088-F6E3937BB8E9> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff2b119000 -     0x7fff2b1b6fff  com.apple.MediaExperience (1.0 - 1) <A7A754CE-61AB-39B8-AA31-3AEB14695F55> /System/Library/PrivateFrameworks/MediaExperience.framework/Versions/A/MediaExperience
    0x7fff2b1b7000 -     0x7fff2b1e0fff  com.apple.persistentconnection (1.0 - 1.0) <C3F975D3-A87C-353C-BA1F-072825E60E8C> /System/Library/PrivateFrameworks/PersistentConnection.framework/Versions/A/PersistentConnection
    0x7fff2b1e1000 -     0x7fff2b1effff  com.apple.GraphVisualizer (1.0 - 100.1) <7035CCDF-5B9D-365C-A1FA-1D961EBEE44D> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff2b1f0000 -     0x7fff2b60bfff  com.apple.vision.FaceCore (4.3.2 - 4.3.2) <E0518821-B65D-31A4-8C37-DF3569CF8867> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff2b60c000 -     0x7fff2b656fff  com.apple.OTSVG (1.0 - 677.2.0.5) <D2722431-6C71-3144-A024-6ED06334AEE0> /System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG
    0x7fff2b657000 -     0x7fff2b65dfff  com.apple.xpc.AppServerSupport (1.0 - 2038.40.38) <27B96AA0-421E-3E5A-B9D8-9BA3F0D133E9> /System/Library/PrivateFrameworks/AppServerSupport.framework/Versions/A/AppServerSupport
    0x7fff2b65e000 -     0x7fff2b66ffff  libhvf.dylib (1.0 - $[CURRENT_PROJECT_VERSION]) <CAD78803-0F56-316E-A7F1-D2BF26CA2DD6> /System/Library/PrivateFrameworks/FontServices.framework/libhvf.dylib
    0x7fff2b670000 -     0x7fff2b672fff  libspindump.dylib (295) <C6F804A3-5682-3766-A324-76667364873D> /usr/lib/libspindump.dylib
    0x7fff2b673000 -     0x7fff2b733fff  com.apple.Heimdal (4.0 - 2.0) <8BB18335-5DD3-3154-85C8-0145C64556A2> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff2b8d2000 -     0x7fff2b93cfff  com.apple.bom (14.0 - 233) <A62EEEE5-3027-3F25-BCD9-32D36922106E> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff2b93d000 -     0x7fff2b987fff  com.apple.AppleJPEG (1.0 - 1) <A2E9E2A4-AEDC-3481-BDC9-05D9AD84FC25> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff2b988000 -     0x7fff2ba66fff  libJP2.dylib (2130.2.7) <9D837C01-3D6C-3D71-8E92-3673CE06A21F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff2ba67000 -     0x7fff2ba6afff  com.apple.WatchdogClient.framework (1.0 - 98.60.1) <8374BBBB-65CB-3D46-9AD6-0DD1FB99AD88> /System/Library/PrivateFrameworks/WatchdogClient.framework/Versions/A/WatchdogClient
    0x7fff2ba6b000 -     0x7fff2ba9efff  com.apple.MultitouchSupport.framework (4400.28 - 4400.28) <E9A95272-5E84-3B64-8263-8C7F84456269> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff2ba9f000 -     0x7fff2bbf1fff  com.apple.VideoToolbox (1.0 - 2760.6.4.6) <35098775-A188-3BE0-B0B1-7CE0027BA295> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff2bbf2000 -     0x7fff2bc24fff  libAudioToolboxUtility.dylib (1180.23) <58B4505B-F0EA-37FC-9F5A-6F9F05B0F2A5> /usr/lib/libAudioToolboxUtility.dylib
    0x7fff2bc25000 -     0x7fff2bc4bfff  libPng.dylib (2130.2.7) <1F3FED3B-FB07-3F43-8EAD-6100017FBAB5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff2bc4c000 -     0x7fff2bca9fff  libTIFF.dylib (2130.2.7) <27E9A2D3-003D-3D97-AD85-BE595EA0516F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff2bcaa000 -     0x7fff2bcc4fff  com.apple.IOPresentment (53 - 37) <070919DC-978E-3DB3-80FD-FB0C1BAAE80A> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff2bcc5000 -     0x7fff2bccbfff  com.apple.GPUWrangler (6.2.2 - 6.2.2) <F4B3905F-C024-33C1-82C8-F1744AF8516E> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff2bccc000 -     0x7fff2bccffff  libRadiance.dylib (2130.2.7) <7ABF94D2-5281-363F-A613-9C945D77AAE8> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff2bcd0000 -     0x7fff2bcd5fff  com.apple.DSExternalDisplay (3.1 - 380) <BA802582-F1EB-35B8-902F-3D0F426124E0> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff2bcd6000 -     0x7fff2bcfafff  libJPEG.dylib (2130.2.7) <FDD55379-6673-31E4-B916-7949459B60AE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff2bcfb000 -     0x7fff2bd2afff  com.apple.ATSUI (1.0 - 1) <B82D099B-4F53-3B60-8BAA-975C41EFD356> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATSUI.framework/Versions/A/ATSUI
    0x7fff2bd2b000 -     0x7fff2bd2ffff  libGIF.dylib (2130.2.7) <C51FB0BA-E5C0-335B-9C64-185B1DDC9166> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff2bd30000 -     0x7fff2bd39fff  com.apple.CMCaptureCore (1.0 - 80.17.1.1) <A0D43E58-B960-3A80-8807-4115F0E1EF74> /System/Library/PrivateFrameworks/CMCaptureCore.framework/Versions/A/CMCaptureCore
    0x7fff2bd3a000 -     0x7fff2bd81fff  com.apple.print.framework.PrintCore (16 - 531) <FC56A643-F502-3578-9EFF-375BE6B87691> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff2bd82000 -     0x7fff2be4efff  com.apple.TextureIO (3.10.9 - 3.10.9) <0AC15003-4B6A-3FB3-9B41-3EF61A2BD430> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff2be4f000 -     0x7fff2be57fff  com.apple.InternationalSupport (1.0 - 60) <5485FFDC-CE44-37F4-865F-91B2EFBC6CAF> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
    0x7fff2be58000 -     0x7fff2bed3fff  com.apple.datadetectorscore (8.0 - 674) <A2DEEF63-7643-37AA-9420-ED875629D1B2> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff2bed4000 -     0x7fff2bf32fff  com.apple.UserActivity (435 - 435) <075FD354-28FD-3A13-881C-955FA9106D5C> /System/Library/PrivateFrameworks/UserActivity.framework/Versions/A/UserActivity
    0x7fff2cb80000 -     0x7fff2cbb1fff  libSessionUtility.dylib (76.7) <95615EDE-46B9-32AE-96EC-7F6E5EB6A932> /System/Library/PrivateFrameworks/AudioSession.framework/libSessionUtility.dylib
    0x7fff2cbb2000 -     0x7fff2cce2fff  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <D0F9F628-F241-3FA2-A785-7B9DCBB2FEC4> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff2cce3000 -     0x7fff2cd4afff  com.apple.audio.AudioSession (1.0 - 76.7) <C0B1C9EB-A594-31E3-ADDF-118583840E6F> /System/Library/PrivateFrameworks/AudioSession.framework/Versions/A/AudioSession
    0x7fff2cd4b000 -     0x7fff2cd5dfff  libAudioStatistics.dylib (25.1) <1D07EA54-BE7C-37C4-AA73-5224D402F0C3> /usr/lib/libAudioStatistics.dylib
    0x7fff2cd5e000 -     0x7fff2cd6dfff  com.apple.speech.synthesis.framework (9.0.51 - 9.0.51) <B86A2136-8DD7-395D-BB9F-9416C56DD2D6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff2cd6e000 -     0x7fff2cdd9fff  com.apple.ApplicationServices.ATS (377 - 516) <3A435648-CC5F-387E-AB37-391AAEABE314> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff2cdda000 -     0x7fff2cdf2fff  libresolv.9.dylib (68) <9957A6F4-8B66-3429-86CD-6DF4993EB6F5> /usr/lib/libresolv.9.dylib
    0x7fff2cf25000 -     0x7fff2d004fff  libSMC.dylib (20) <CE5162B7-379E-3DF0-9D1E-44BC98BD2422> /usr/lib/libSMC.dylib
    0x7fff2d005000 -     0x7fff2d064fff  libcups.2.dylib (494.1) <04A4801E-E1B5-3919-9F14-100F0C2D049B> /usr/lib/libcups.2.dylib
    0x7fff2d065000 -     0x7fff2d074fff  com.apple.LangAnalysis (1.7.0 - 254) <120945D9-B74D-3A6F-B160-2678E6B6481D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff2d075000 -     0x7fff2d07ffff  com.apple.NetAuth (6.2 - 6.2) <C65B2F54-67EA-3E4D-B84A-BBA94998BD6B> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff2d080000 -     0x7fff2d087fff  com.apple.ColorSyncLegacy (4.13.0 - 1) <33DA9348-EADF-36D2-B999-56854481D272> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff2d088000 -     0x7fff2d093fff  com.apple.QD (4.0 - 416) <7FFC9049-7E42-372B-9105-1C4C94DE0110> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff2d094000 -     0x7fff2d702fff  com.apple.audio.AudioResourceArbitration (1.0 - 1) <098FD431-D302-3DD5-9AD1-453615A73E68> /System/Library/PrivateFrameworks/AudioResourceArbitration.framework/Versions/A/AudioResourceArbitration
    0x7fff2d703000 -     0x7fff2d70ffff  com.apple.perfdata (1.0 - 67.40.1) <85A57A67-8721-3035-BCEE-D4AC98332D2C> /System/Library/PrivateFrameworks/perfdata.framework/Versions/A/perfdata
    0x7fff2d710000 -     0x7fff2d71efff  libperfcheck.dylib (41) <67113817-A463-360A-B321-9286DC50FEDA> /usr/lib/libperfcheck.dylib
    0x7fff2d71f000 -     0x7fff2d72efff  com.apple.Kerberos (3.0 - 1) <2E872705-0841-3695-AF79-4160D2A436AB> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff2d72f000 -     0x7fff2d77efff  com.apple.GSS (4.0 - 2.0) <2A38D59F-5F3A-3779-A421-2F8128F22B95> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff2d77f000 -     0x7fff2d78ffff  com.apple.CommonAuth (4.0 - 2.0) <D9431F22-A16B-3237-9676-B6159B36F5EA> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff2d964000 -     0x7fff2d964fff  liblaunch.dylib (2038.40.38) <05A7EFDD-4111-3E4D-B668-239B69DE3D0F> /usr/lib/system/liblaunch.dylib
    0x7fff2fb8a000 -     0x7fff2fbb5fff  com.apple.RemoteViewServices (2.0 - 163) <AC6E2D2F-8131-3A40-97D7-E24E2A45CD66> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff2fbb6000 -     0x7fff2fbc5fff  com.apple.SpeechRecognitionCore (6.1.12 - 6.1.12) <F2A0E41A-7976-3175-959A-98DC24AAFFCC> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff2fbc6000 -     0x7fff2fbcdfff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <9C14FA0A-D905-375B-8C32-E311ED59B6AD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff2fe11000 -     0x7fff2fe11fff  libsystem_product_info_filter.dylib (8.40.1) <7CCAF1A8-F570-341E-B275-0C80B092F8E0> /usr/lib/system/libsystem_product_info_filter.dylib
    0x7fff2feec000 -     0x7fff2feecfff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <510A463F-5CA5-3585-969F-2D44583B71C8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff2ff13000 -     0x7fff2ff13fff  com.apple.CoreServices (1122.11 - 1122.11) <5DDB040C-6E92-3DBE-9049-873F510F26E2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff301e1000 -     0x7fff301e1fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <F2FFCC7B-EE3D-3768-A73B-342851B53741> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff32f61000 -     0x7fff32f64fff  com.apple.help (1.3.8 - 71) <599F7E42-DEF1-3B70-83AB-C3BDF727CF93> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff331a6000 -     0x7fff331a6fff  com.apple.ApplicationServices (48 - 50) <7B536871-3F10-3138-B06B-9C2A3C07EC1E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff334a6000 -     0x7fff334a6fff  libHeimdalProxy.dylib (79) <1BD94BF6-8E63-3B21-95DC-E5EEEBFB8AE8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Libraries/libHeimdalProxy.dylib
    0x7fff34fa7000 -     0x7fff34faafff  com.apple.Cocoa (6.11 - 23) <E44AC98B-5BEA-3087-AB41-C73CEB8A98C8> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff363ea000 -     0x7fff36405fff  com.apple.openscripting (1.7 - 190) <D0B98DF9-7A61-3810-AE81-2F870DCC2AC0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff36406000 -     0x7fff36409fff  com.apple.securityhi (9.0 - 55008) <DD7770F7-661C-363B-A1F4-8B69EB0FFB6A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff3640a000 -     0x7fff3640dfff  com.apple.ink.framework (10.15 - 227) <E10C40B6-2656-36D1-882C-2091CE02883A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff3640e000 -     0x7fff36411fff  com.apple.CommonPanels (1.2.6 - 101) <101582BA-E64F-391A-BD23-50DCC3CF8939> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff36412000 -     0x7fff36419fff  com.apple.ImageCapture (1708 - 1708) <FE9D13DD-D733-3B2A-B4A6-D3C8313005F5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff3d104000 -     0x7fff3d107fff  com.apple.print.framework.Print (15 - 271) <8411879F-7E3E-3882-BD06-68E797A3B9D6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff3d108000 -     0x7fff3d10bfff  com.apple.Carbon (160 - 164) <5683716A-5610-3B97-B473-B4652067E7A6> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff3d390000 -     0x7fff3d3affff  com.apple.private.SystemPolicy (1.0 - 1) <CFE0B0C6-DF5B-31EB-9D79-B23E00A80B05> /System/Library/PrivateFrameworks/SystemPolicy.framework/Versions/A/SystemPolicy
    0x7fff3dcfa000 -     0x7fff3dd0cfff  libmis.dylib (274.60.2) <54387457-A60B-3390-AD6D-3B380792CD79> /usr/lib/libmis.dylib
    0x7fff6c804000 -     0x7fff6c80afff  libCoreFSCache.dylib (177.22) <4ECE128D-5E79-3ADF-8FE7-4FE8F565F8AA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff6c80b000 -     0x7fff6c80ffff  libCoreVMClient.dylib (177.22) <E0DBED1D-39B4-3E51-9EA8-D1ECAED93EAB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff6c810000 -     0x7fff6c81ffff  com.apple.opengl (18.1.1 - 18.1.1) <D8EE3AD0-C0D0-32F7-9C6D-39341099EB55> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff6c820000 -     0x7fff6c822fff  libCVMSPluginSupport.dylib (18.1.1) <5F020D32-8663-3CB8-A50C-F939D4D4C31F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff6c823000 -     0x7fff6c82bfff  libGFXShared.dylib (18.1.1) <2271532D-E2B3-3D4D-ADF0-0935F8DCE89B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff6c82c000 -     0x7fff6c85ffff  libGLImage.dylib (18.1.1) <528E53A3-33E1-34C7-8EE3-C42AE5255553> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff6c860000 -     0x7fff6c89cfff  libGLU.dylib (18.1.1) <15CBDF20-8A87-3D84-90F8-D19F4A2B06E2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff6ca32000 -     0x7fff6ca3cfff  libGL.dylib (18.1.1) <157B74E1-F30D-3F9D-9AF8-AAA333D2812D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff6de73000 -     0x7fff6decbfff  com.apple.opencl (4.5 - 4.5) <8A3D06D5-4E82-355C-AE1B-E2C91DB58233> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff6fd89000 -     0x7fff6fe54fff  Tcl (8.5.9 - 8.5.9) <51600BFF-7BDA-3446-9BAA-5800C815A91E> /System/Library/Frameworks/Tcl.framework/Versions/8.5/Tcl
    0x7fff6fe55000 -     0x7fff6ff39fff  Tk (8.5.9 - 8.5.9) <DA21CF89-6AE9-3430-8085-83522AA426A7> /System/Library/Frameworks/Tk.framework/Versions/8.5/Tk

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 790
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=664.8M resident=0K(0%) swapped_out_or_unallocated=664.8M(100%)
Writable regions: Total=96.8M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=96.8M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        1 
Dispatch continuations            32.0M        1 
Kernel Alloc Once                    8K        1 
MALLOC                            37.6M       21 
MALLOC guard page                   16K        4 
MALLOC_LARGE (reserved)            384K        1         reserved VM address space (unallocated)
STACK GUARD                         24K        6 
Stack                             18.5M        6 
VM_ALLOCATE                       8404K       43 
__DATA                            11.2M      281 
__DATA_CONST                      11.3M      175 
__DATA_DIRTY                       509K       86 
__FONT_DATA                          4K        1 
__LINKEDIT                       490.1M       48 
__OBJC_RO                         60.5M        1 
__OBJC_RW                         2452K        2 
__TEXT                           174.9M      289 
__UNICODE                          588K        1 
mapped file                       48.8M        9 
shared memory                       40K        4 
===========                     =======  ======= 
TOTAL                            897.3M      981 
TOTAL, minus reserved VM space   896.9M      981 

Model: MacBookAir9,1, BootROM 1554.60.15.0.0 (iBridge: 18.16.13030.0.0,0), 2 processors, Dual-Core Intel Core i3, 1,1 GHz, 8 GB, SMC 
Graphics: kHW_IntelIrisPlusGraphicsItem, Intel Iris Plus Graphics, spdisplays_builtin
Memory Module: BANK 0/ChannelA-DIMM0, 4 GB, LPDDR4X, 3733 MHz, SK Hynix, H9HCNNNCRMALPR-NEE
Memory Module: BANK 2/ChannelB-DIMM0, 4 GB, LPDDR4X, 3733 MHz, SK Hynix, H9HCNNNCRMALPR-NEE
AirPort: spairport_wireless_card_type_airport_extreme, wl0: Sep 11 2020 17:38:16 version 16.20.293.5.3.6.95 FWID 01-e5bd2163
Bluetooth: Version 8.0.2f9, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB 3.1 Bus
USB Device: USB 3.1 Bus
USB Device: Apple T2 Bus
USB Device: Touch Bar Backlight
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Headset
USB Device: Ambient Light Sensor
USB Device: FaceTime HD Camera (Built-in)
USB Device: Apple T2 Controller
Thunderbolt Bus: MacBook Air, Apple Inc., 85.0
msg383451 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-12-20 20:54
This is a 'ancient, buggy tcl/tk 8.5.9 on OS11' issue, not an IDLE issue.  Only 8.6.10 has a chance with OS11, and even that is a bit flakey.  But I have no issues so far running 3.9.1 and IDLE with the Universal2 OS11 build from python.org on Mohave.

What happens if you run 'python3.9' on a command line?  What about 'python 3.9 -c "import tkinter; tkinter.Tk()"'?

Ned & Ronald: I expect we should close this as 3rd party (Apple, Active State (tcl/tk), and homebrew).  Do either of you want to add anything?
msg383488 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-12-21 05:18
This is the same sort of crash of a Homebrew Python as reported in Issue42480 and the root cause is the same: the Homebrew recipe is allowing building and linking with the known faulty and deprecated Apple-provided system Tcl and Tk 8.5.9 frameworks. It needs to be modified to use a newer (8.6.x) version of Tcl and Tk.
msg383491 - (view) Author: Пётр Сиренко (p.sirenko.94) Date: 2020-12-21 06:42
petr@air-anastasia ~ % python3 -c "import tkinter; tkinter.Tk()"   
macOS 11 or later required !
zsh: abort      python3 -c "import tkinter; tkinter.Tk()"

>>> tkinter.TclVersion
8.5
>>> tkinter.TkVersion
8.5

petr@air-anastasia ~ % brew install tcl-tk
Updating Homebrew...
==> Auto-updated Homebrew!
Updated Homebrew from f47c1eae3 to 1eff47766.
Updated 2 taps (homebrew/core and homebrew/cask).
==> New Formulae
xcb-util-image             xcb-util-renderutil        xcb-util-wm
==> Updated Formulae
Updated 29 formulae.
==> Updated Casks
Updated 18 casks.

==> Downloading https://homebrew.bintray.com/bottles/tcl-tk-8.6.10.big_sur.bottl
==> Downloading from https://d29vzk4ow07wi7.cloudfront.net/b7c942f7fc15b6a402bf4
######################################################################## 100.0%
==> Pouring tcl-tk-8.6.10.big_sur.bottle.1.tar.gz
==> Caveats
tcl-tk is keg-only, which means it was not symlinked into /usr/local,
because macOS already provides this software and installing another version in
parallel can cause all kinds of trouble.

If you need to have tcl-tk first in your PATH run:
  echo 'export PATH="/usr/local/opt/tcl-tk/bin:$PATH"' >> ~/.zshrc

For compilers to find tcl-tk you may need to set:
  export LDFLAGS="-L/usr/local/opt/tcl-tk/lib"
  export CPPFLAGS="-I/usr/local/opt/tcl-tk/include"

==> Summary
🍺  /usr/local/Cellar/tcl-tk/8.6.10: 3,037 files, 51.4MB

I have tried to update tcl-tk with the homebrew, but in command line I see 8.5
Could you please help me to fix this tcl-tk problem?
msg383537 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-12-21 16:20
> I have tried to update tcl-tk with the homebrew, but in command line I see 8.5
> Could you please help me to fix this tcl-tk problem?

You should check with the Homebrew project; we have no insight into or control over their packaging choices.  Good luck!
msg383539 - (view) Author: FX Coudert (fxcoudert) * Date: 2020-12-21 17:11
Hi Ned,

FX from Homebrew here. One of the reasons we a couple of years ago to stick with macOS system tcl-tk was that cpython's configure does not currently allow to build against our tcl-tk, which is not a framework but a simple Unix-style library build. We can definitely reconsider if you recommend a newer tcl-tk, but do you know if the build issues with non-framework tcl-tk have been fixed?
msg383541 - (view) Author: FX Coudert (fxcoudert) * Date: 2020-12-21 17:36
After checking, I can see the code in cpython's setup.py is still there. detect_tkinter_darwin will prefer the system's version over anything we can specific in our cflags or ldflags. This seems contrary to the advice above not to use macOS system Tcl/Tk.
msg383542 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-12-21 17:48
If you are not using Tcl and Tk framework builds installed in /Library, you use the configure or make options:

  --with-tcltk-includes='-I...'
                          override search for Tcl and Tk include files
  --with-tcltk-libs='-L...'
                          override search for Tcl and Tk libs

to specify exactly where to find your versions of Tcl and Tk. See the comments in setup.py:

    def detect_tkinter_explicitly(self):
        # Build _tkinter using explicit locations for Tcl/Tk.
        #
        # This is enabled when both arguments are given to ./configure:
        #
        #     --with-tcltk-includes="-I/path/to/tclincludes \
        #                            -I/path/to/tkincludes"
        #     --with-tcltk-libs="-L/path/to/tcllibs -ltclm.n \
        #                        -L/path/to/tklibs -ltkm.n"
        #
        # These values can also be specified or overridden via make:
        #    make TCLTK_INCLUDES="..." TCLTK_LIBS="..."
        #
        # This can be useful for building and testing tkinter with multiple
        # versions of Tcl/Tk.  Note that a build of Tk depends on a particular
        # build of Tcl so you need to specify both arguments and use care when
        # overriding.

        # The _TCLTK variables are created in the Makefile sharedmods target.
msg383543 - (view) Author: FX Coudert (fxcoudert) * Date: 2020-12-21 17:51
But we can override with --with-tcltk-includes and --with-tcltk-libs
I've opened a pull request for Homebrew to switch to recent tcl-tk: https://github.com/Homebrew/homebrew-core/pull/67378
msg383544 - (view) Author: FX Coudert (fxcoudert) * Date: 2020-12-21 17:58
Our messages crossed, thanks Ned for the help. Hopefully we'll be solving this in a way that benefit most users.
msg383545 - (view) Author: Пётр Сиренко (p.sirenko.94) Date: 2020-12-21 18:03
Guys, thank you all for joining the conversation!

I don't understand what exactly should I do to fix this, but I have a lot to study through py4u and plenty of time before I will really need Python fixed.
Should I do something with this now or just wait for updates?
msg383547 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-12-21 18:29
To use tkinter and hence IDLE and turtle on macOS, get the Mac Python installer on python.org.
msg383549 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-12-21 18:44
> Should I do something with this now or just wait for updates?

I'd wait for a Homebrew recipe update.
History
Date User Action Args
2020-12-21 18:44:39ned.deilysetmessages: + msg383549
2020-12-21 18:29:19terry.reedysetmessages: + msg383547
2020-12-21 18:03:57p.sirenko.94setmessages: + msg383545
2020-12-21 17:58:23fxcoudertsetmessages: + msg383544
2020-12-21 17:51:52fxcoudertsetmessages: + msg383543
2020-12-21 17:48:17ned.deilysetmessages: + msg383542
2020-12-21 17:36:36fxcoudertsetmessages: + msg383541
2020-12-21 17:11:36fxcoudertsetmessages: + msg383539
2020-12-21 16:20:26ned.deilysetmessages: + msg383537
2020-12-21 06:42:42p.sirenko.94setmessages: + msg383491
2020-12-21 05:18:33ned.deilysetstatus: open -> closed

superseder: Python Tkinter crashes on macOS 11.1 beta

nosy: + fxcoudert
messages: + msg383488
resolution: duplicate
stage: resolved
2020-12-20 20:54:49terry.reedysetnosy: + ronaldoussoren, ned.deily
messages: + msg383451

assignee: terry.reedy ->
components: + macOS, Tkinter, - IDLE
2020-12-20 18:27:46p.sirenko.94settitle: macOS 11.1 + Homebrew 2.6.2 + python 3.9.1 = idle crash -> macOS 11.1 + Homebrew 2.6.2 + Python 3.9.1 = "IDLE" crash
2020-12-20 18:27:12p.sirenko.94create